6.0.0-git
2021-01-18

[#6174] xinha error when switching to html composition
Summary xinha error when switching to html composition
Queue IMP
Queue Version 4.2-RC2
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester liamr (at) deathstar (dot) org
Created 2008-01-30 (4737 days ago)
Due
Updated 2008-01-31 (4736 days ago)
Assigned 2008-01-31 (4736 days ago)
Resolved 2008-01-31 (4736 days ago)
Milestone
Patch No

History
2008-01-31 12:16:07 Jan Schneider Comment #7
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
The error message is in XinhaCore.js:

    alert('Error reading Language-File ('+url+'):\n'+Error.toString());
I'm and idiot.  You were probably talking about the "native code"
message.   I didn't find it either.  I also can't fix it by copying
various language to lang/en.js
No, you're not, I am. Because my grepping didn't find this string.



It makes sense now. Because you created you own translation en_US, 
this is the translation locale that would be used for both horde and 
xinha. Since we don't have that, our locale falls back to en.

Anyway, the alert should not happen at all, because otherwise we would 
have to keep track of the translations shipped with xinha. For now, I 
removed the alert line, but this should better be reported upstream.
2008-01-31 12:02:50 liamr (at) deathstar (dot) org Comment #6 Reply to this comment
The error message is in XinhaCore.js:

    alert('Error reading Language-File ('+url+'):\n'+Error.toString());
I'm and idiot.  You were probably talking about the "native code" 
message.   I didn't find it either.  I also can't fix it by copying 
various language to lang/en.js



Maybe this is because I recompiled my IMP javascript?
2008-01-31 11:53:26 liamr (at) deathstar (dot) org Comment #5 Reply to this comment
The error message is in XinhaCore.js:



    alert('Error reading Language-File ('+url+'):\n'+Error.toString());



the other sort of weird thing we've done is great an en_US 
translation, so we could customize some of the text to the UMich 
environment (there's a local dislike of the blacklist / whitelist 
terminology).
2008-01-31 11:47:47 liamr (at) deathstar (dot) org Comment #4 Reply to this comment
No idea...



I tried unsetting



nls.php:$nls['defaults']['language'] = 'en_US';

and removing

| liamr    | horde      | language  | en_US      |



and I still get it.  I get it for the test accounts I've tried too.




2008-01-31 08:52:17 Jan Schneider Comment #3 Reply to this comment
I don't see this either, and I can't even find this error message in 
the editor sources.
2008-01-31 03:49:56 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
I am unable to reproduce this. There's no en.js either, so it seems 
like Xinha simply shouldn't be trying to load an english language 
file. I don't know why it would.
2008-01-30 15:56:06 liamr (at) deathstar (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ xinha error when switching to html composition
Queue ⇒ IMP
Reply to this comment
When I switch to HTML composition, I get a popup that says...



Error reading Language-file ( /horde/services/editor/xinha/lang/en_us.js):

Function Error() {

     [ native code ]

}



The popup appears three times before the editor loads.  I've tried IE 
6 and Firefox for XP, and Firefox for OS X (couldn't get the editor to 
load at all in Safari)



I've checked in horde/services/editor/xinha/lang, and there's no en_us.js


Saved Queries